- Qt 6.8
- Qt D-Bus
- C++ Classes
- QDBusSignature
- Qt 6.8.3 Reference Documentation

# QDBusSignature Class

The QDBusSignature class enables the programmer to identify the SIGNATURE type provided by the D-Bus typesystem. More...

Header: | `#include <QDBusSignature>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS DBus)` `target_link_libraries(mytarget PRIVATE Qt6::DBus)`
qmake: | `QT += dbus`

- List of all members, including inherited members

## Public Functions

| QDBusSignature()
| QDBusSignature(QLatin1StringView signature)
| QDBusSignature(const QString &signature)
| QDBusSignature(const char *signature)
void | setSignature(const QString &signature)
QString | signature() const
void | swap(QDBusSignature &other)

## Detailed Description

See also The Qt D-Bus Type System.

## Member Function Documentation

### `[noexcept]` QDBusSignature::QDBusSignature()

Constructs a new signature.

See also setSignature().

### `[explicit]` QDBusSignature::QDBusSignature(QLatin1StringView signature)

Constructs a new signature from the Latin-1 string viewed by signature.

### `[explicit]` QDBusSignature::QDBusSignature(const QString &signature)

Constructs a new signature from the given signature.

### `[explicit]` QDBusSignature::QDBusSignature(const char *signature)

Constructs a new signature from the given signature.

### void QDBusSignature::setSignature(const QString &signature)

Assigns the value of the given signature to this signature.

See also signature().

### QString QDBusSignature::signature() const

Returns this signature.

See also setSignature().

### `[noexcept]` void QDBusSignature::swap(QDBusSignature &other)

Swaps this signature with other. This operation is very fast and never fails.